com.smartxls

## Class ChartFormat

- java.lang.Object
- - com.smartxls.ChartFormat

-     public class ChartFormat
      extends java.lang.Object

  The chart format class, providing information about chart formatting. This interface can be used to get and set formatting values on all elements within the chart. Certain formatting options only apply to certain parts of the chart. This object can be reused, so there is no need to create a new one for each object to be formatted.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `DataLabelBubbleSize`
    `static short` | `DataLabelCategory`
    `static short` | `DataLabelCategoryAndPercent`
    `static short` | `DataLabelNone`
    `static short` | `DataLabelPercent`
    `static short` | `DataLabelPercentageMask`
    `static short` | `DataLabelPositionAbove`
    `static short` | `DataLabelPositionAuto`
    `static short` | `DataLabelPositionAxis`
    `static short` | `DataLabelPositionBelow`
    `static short` | `DataLabelPositionCenter`
    `static short` | `DataLabelPositionDefault`
    `static short` | `DataLabelPositionInside`
    `static short` | `DataLabelPositionLeft`
    `static short` | `DataLabelPositionOutside`
    `static short` | `DataLabelPositionRight`
    `static short` | `DataLabelSeriesNameMask`
    `static short` | `DataLabelSizeValueMask`
    `static short` | `DataLabelValue`
    `static short` | `DataLabelXValueMask`
    `static short` | `DataLabelYValueMask`
    `static short` | `Hairline`
    `static short` | `LegendPlacementBottom`
    `static short` | `LegendPlacementCorner`
    `static short` | `LegendPlacementLeft`
    `static short` | `LegendPlacementRight`
    `static short` | `LegendPlacementTop`
    `static short` | `LineDash`
    `static short` | `LineDashDot`
    `static short` | `LineDashDotDot`
    `static short` | `LineDot`
    `static short` | `LineNull`
    `static short` | `LineSolid`
    `static short` | `MarkerCircle`
    `static short` | `MarkerDiamond`
    `static short` | `MarkerDowJonesClose`
    `static short` | `MarkerDowJonesOpen`
    `static short` | `MarkerDownTriangle`
    `static short` | `MarkerNone`
    `static short` | `MarkerPlus`
    `static short` | `MarkerSquare`
    `static short` | `MarkerStar`
    `static short` | `MarkerStdDeviation`
    `static short` | `MarkerTriangle`
    `static short` | `MarkerX`
    `static short` | `Medium`
    `static short` | `Narrow`
    `static short` | `Wide`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBackColor()` Returns the color used to display the pattern background.
    `java.lang.String` | `getCustomFormat()` Returns the number format.
    `short` | `getDataLabelPosition()` Returns the data label position value.
    `java.lang.String` | `getDataLabelSeparator()` Returns the data label separator value.
    `short` | `getDataLabelType()` Returns the data label type value.
    `int` | `getDataLabelTypes()` Returns the types of the data label.
    `double` | `getFillAlpha()` specifies the input color with the specific opacity.
    `boolean` | `getFontBold()` Returns whether the font is bold.
    `int` | `getFontColor()` Returns the color used to display the font.
    `boolean` | `getFontItalic()` Returns whether the font is italic.
    `java.lang.String` | `getFontName()` Returns the name of the font.
    `int` | `getFontSize()` Returns the size of the font in twips.
    `boolean` | `getFontUnderline()` Returns whether the font is underline.
    `int` | `getForeColor()` Returns the color used to display the pattern foreground.
    `int` | `getLineColor()` Gets the color.
    `short` | `getLineStyle()` Gets the style.
    `short` | `getLineWeight()` Gets the weight.
    `int` | `getMarkerBackground()` Returns the marker background color as an RGB value.
    `int` | `getMarkerForeground()` Returns the marker foreground color as an RGB value.
    `int` | `getMarkerSize()` Returns the marker size in twips.
    `short` | `getMarkerStyle()` Returns the marker style.
    `int` | `getOrientation()` return the orientation
    `int` | `getPatternFG()` return the foreground color
    `boolean` | `isFillAuto()` Returns whether fill is auto.
    `boolean` | `isFillShadow()` Returns whether the object has a shadow behind it.
    `boolean` | `isFillVisible()` visibility for the fill property
    `boolean` | `isFontAutoScale()` Returns whether fonts are automatically scaled based on chart size.
    `boolean` | `isLineAuto()` return if the line auto
    `boolean` | `isLineNone()` if line is none
    `boolean` | `isLineShadow()` if the line is shadow.
    `boolean` | `isLinkedToDataSource()` Returns whether the object gets the value format from the data source.
    `boolean` | `isMarkerAuto()` Returns whether to use automatic formatting for a marker.
    `boolean` | `isSolid()` Returns whether fill is solid.
    `boolean` | `isValueFormatLinkedToDataSource()` Returns whether the object gets the value format from the data source.
    `void` | `setBackColor(int bg)` Sets the color used to display the pattern background.
    `void` | `setCustomFormat(java.lang.String format)` Sets the number format string
    `void` | `setDataLabelPosition(short sPosition)` Sets position of the data label.
    `void` | `setDataLabelSeparator(java.lang.String separator)` Sets the data label separator.
    `void` | `setDataLabelType(short sType)` Sets the type of data label to use.
    `void` | `setDataLabelTypes(int iType)` Sets the types of data label to use.
    `void` | `setFillAlpha(double alpha)` specifies the input color with the specific opacity.
    `void` | `setFillAuto(boolean auto)` Sets whether fill is auto.
    `void` | `setFillPicture(java.lang.String path)`
    `void` | `setFillShadow(boolean shadow)` Sets whether an object includes a shadow behind it.
    `void` | `setFillTexture(ExcelTexture texture)`
    `void` | `setFillVisible(boolean b)` set the visibility for this fill property
    `void` | `setFontAutoScale(boolean autoscale)` Sets whether fonts are automatically scaled based on chart size.
    `void` | `setFontBold(boolean bold)` Sets the bold attribute of the font.
    `void` | `setFontColor(int color)` Sets the color used to display the font.
    `void` | `setFontItalic(boolean italic)` Sets the italic attribute of the font.
    `void` | `setFontName(java.lang.String name)` Sets the font name.
    `void` | `setFontSize(int size)` Sets the font size in twips.
    `void` | `setFontSizeInPoints(double point)` set the font size
    `void` | `setFontUnderline(boolean underline)` Sets the underline attribute of the font.
    `void` | `setForeColor(int fg)` Sets the color used to display the pattern foreground.
    `void` | `setGradient()` Sets the fill to Gradient.
    `void` | `setGradient(ExcelGradientStyle style)`
    `void` | `setLineAuto()` set line auto
    `void` | `setLineColor(int color)` Sets the color.
    `void` | `setLineCustom()` set line custom style and weight
    `void` | `setLineNone()` set line none
    `void` | `setLineShadow(boolean shadow)` set the line shadow.
    `void` | `setLineStyle(short estyle)` Sets the style.
    `void` | `setLineWeight(int eweight)` Sets the weight.
    `void` | `setLinkedToDataSource(boolean link)` Sets whether the object gets the value format from the data source.
    `void` | `setMarkerAuto(boolean auto)` Sets the marker type to be assigned automatically.
    `void` | `setMarkerBackground(int iBackground)` Sets marker background color as an RGB value.
    `void` | `setMarkerForeground(int iForeground)` Sets marker foreground color as an RGB value.
    `void` | `setMarkerSize(int iSize)` Sets marker size in twips.
    `void` | `setMarkerStyle(short sStyle)` Sets marker style.
    `void` | `setOrientation(int orientation)` set the orientation
    `void` | `setPattern(int pattern)` Sets the pattern.
    `void` | `setPatternFG(int fg)` set the fg color in RGB
    `void` | `setSolid()` Sets the fill to solid.
    `void` | `setTextRotation(int rotation)` set the text rotation
    `void` | `setValueFormatLinkedToDataSource(boolean link)` Sets whether the object gets the value format from the data source.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LegendPlacementBottom

          public static final short LegendPlacementBottom

      See Also:
        Constant Field Values

    - #### LegendPlacementCorner

          public static final short LegendPlacementCorner

      See Also:
        Constant Field Values

    - #### LegendPlacementTop

          public static final short LegendPlacementTop

      See Also:
        Constant Field Values

    - #### LegendPlacementRight

          public static final short LegendPlacementRight

      See Also:
        Constant Field Values

    - #### LegendPlacementLeft

          public static final short LegendPlacementLeft

      See Also:
        Constant Field Values

    - #### MarkerNone

          public static final short MarkerNone

      See Also:
        Constant Field Values

    - #### MarkerSquare

          public static final short MarkerSquare

      See Also:
        Constant Field Values

    - #### MarkerDiamond

          public static final short MarkerDiamond

      See Also:
        Constant Field Values

    - #### MarkerTriangle

          public static final short MarkerTriangle

      See Also:
        Constant Field Values

    - #### MarkerX

          public static final short MarkerX

      See Also:
        Constant Field Values

    - #### MarkerStar

          public static final short MarkerStar

      See Also:
        Constant Field Values

    - #### MarkerDowJonesClose

          public static final short MarkerDowJonesClose

      See Also:
        Constant Field Values

    - #### MarkerStdDeviation

          public static final short MarkerStdDeviation

      See Also:
        Constant Field Values

    - #### MarkerCircle

          public static final short MarkerCircle

      See Also:
        Constant Field Values

    - #### MarkerPlus

          public static final short MarkerPlus

      See Also:
        Constant Field Values

    - #### MarkerDownTriangle

          public static final short MarkerDownTriangle

      See Also:
        Constant Field Values

    - #### MarkerDowJonesOpen

          public static final short MarkerDowJonesOpen

      See Also:
        Constant Field Values

    - #### DataLabelPositionDefault

          public static final short DataLabelPositionDefault

      See Also:
        Constant Field Values

    - #### DataLabelPositionOutside

          public static final short DataLabelPositionOutside

      See Also:
        Constant Field Values

    - #### DataLabelPositionInside

          public static final short DataLabelPositionInside

      See Also:
        Constant Field Values

    - #### DataLabelPositionCenter

          public static final short DataLabelPositionCenter

      See Also:
        Constant Field Values

    - #### DataLabelPositionAxis

          public static final short DataLabelPositionAxis

      See Also:
        Constant Field Values

    - #### DataLabelPositionAbove

          public static final short DataLabelPositionAbove

      See Also:
        Constant Field Values

    - #### DataLabelPositionBelow

          public static final short DataLabelPositionBelow

      See Also:
        Constant Field Values

    - #### DataLabelPositionLeft

          public static final short DataLabelPositionLeft

      See Also:
        Constant Field Values

    - #### DataLabelPositionRight

          public static final short DataLabelPositionRight

      See Also:
        Constant Field Values

    - #### DataLabelPositionAuto

          public static final short DataLabelPositionAuto

      See Also:
        Constant Field Values

    - #### DataLabelNone

          public static final short DataLabelNone

      See Also:
        Constant Field Values

    - #### DataLabelValue

          public static final short DataLabelValue

      See Also:
        Constant Field Values

    - #### DataLabelPercent

          public static final short DataLabelPercent

      See Also:
        Constant Field Values

    - #### DataLabelCategory

          public static final short DataLabelCategory

      See Also:
        Constant Field Values

    - #### DataLabelCategoryAndPercent

          public static final short DataLabelCategoryAndPercent

      See Also:
        Constant Field Values

    - #### DataLabelBubbleSize

          public static final short DataLabelBubbleSize

      See Also:
        Constant Field Values

    - #### DataLabelSeriesNameMask

          public static final short DataLabelSeriesNameMask

      See Also:
        Constant Field Values

    - #### DataLabelXValueMask

          public static final short DataLabelXValueMask

      See Also:
        Constant Field Values

    - #### DataLabelYValueMask

          public static final short DataLabelYValueMask

      See Also:
        Constant Field Values

    - #### DataLabelPercentageMask

          public static final short DataLabelPercentageMask

      See Also:
        Constant Field Values

    - #### DataLabelSizeValueMask

          public static final short DataLabelSizeValueMask

      See Also:
        Constant Field Values

    - #### LineNull

          public static final short LineNull

      See Also:
        Constant Field Values

    - #### LineSolid

          public static final short LineSolid

      See Also:
        Constant Field Values

    - #### LineDash

          public static final short LineDash

      See Also:
        Constant Field Values

    - #### LineDot

          public static final short LineDot

      See Also:
        Constant Field Values

    - #### LineDashDot

          public static final short LineDashDot

      See Also:
        Constant Field Values

    - #### LineDashDotDot

          public static final short LineDashDotDot

      See Also:
        Constant Field Values

    - #### Hairline

          public static final short Hairline

      See Also:
        Constant Field Values

    - #### Narrow

          public static final short Narrow

      See Also:
        Constant Field Values

    - #### Medium

          public static final short Medium

      See Also:
        Constant Field Values

    - #### Wide

          public static final short Wide

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDataLabelPosition

          public short getDataLabelPosition()

      Returns the data label position value.
      Returns:
        a short describing label position. Data Label Position Constants. DataLabelPositionOutside DataLabelPositionAbove DataLabelPositionAuto DataLabelPositionAxis DataLabelPositionBelow DataLabelPositionCenter DataLabelPositionDefault DataLabelPositionInside DataLabelPositionLeft DataLabelPositionRight

    - #### setDataLabelPosition

          public void setDataLabelPosition(short sPosition)
                                    throws java.lang.Exception

      Sets position of the data label.
      Parameters:
        `sPosition` - a short describing label position. Data Label Position Constants. DataLabelPositionOutside DataLabelPositionAbove DataLabelPositionAuto DataLabelPositionAxis DataLabelPositionBelow DataLabelPositionCenter DataLabelPositionDefault DataLabelPositionInside DataLabelPositionLeft DataLabelPositionRight
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getDataLabelSeparator

          public java.lang.String getDataLabelSeparator()

      Returns the data label separator value.
      Returns:
        a string representing the separator

    - #### setDataLabelSeparator

          public void setDataLabelSeparator(java.lang.String separator)

      Sets the data label separator.
      Parameters:
        `separator` - a string specifying the data label separator.

    - #### getDataLabelType

          public short getDataLabelType()

      Returns the data label type value.
      Returns:
        a short describing the label type. Data Label Type Constants DataLabelCategory DataLabelCategoryAndPercent DataLabelBubbleSize DataLabelNone DataLabelValue DataLabelPercent

    - #### setDataLabelType

          public void setDataLabelType(short sType)
                                throws java.lang.Exception

      Sets the type of data label to use.
      Parameters:
        `sType` - a constant designating a data label type. Data Label Type Constants DataLabelCategory DataLabelCategoryAndPercent DataLabelBubbleSize DataLabelNone DataLabelValue DataLabelPercent
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getDataLabelTypes

          public int getDataLabelTypes()

      Returns the types of the data label.
      Returns:
        an int containing the label types as a masked value. Data Label Type Mask Constants DataLabelSeriesNameMask DataLabelXValueMask DataLabelYValueMask DataLabelNone DataLabelPercentageMask DataLabelSizeValueMask

    - #### setDataLabelTypes

          public void setDataLabelTypes(int iType)
                                 throws java.lang.Exception

      Sets the types of data label to use.
      Parameters:
        `iType` - an integer designating the data label types, which are OR'd together. Data Label Type Mask Constants DataLabelSeriesNameMask DataLabelXValueMask DataLabelYValueMask DataLabelNone DataLabelPercentageMask DataLabelSizeValueMask
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getMarkerBackground

          public int getMarkerBackground()

      Returns the marker background color as an RGB value. The color is returned as a four-byte integer in the format 0x00RRGGBB.
      Returns:
        an integer indicating the background color.

    - #### setMarkerBackground

          public void setMarkerBackground(int iBackground)

      Sets marker background color as an RGB value. The color is returned as a four-byte integer in the format 0x00RRGGBB.
      Parameters:
        `iBackground` - an int that describes the border color as a four-byte integer in the format 0x00RRGGBB.

    - #### getMarkerForeground

          public int getMarkerForeground()

      Returns the marker foreground color as an RGB value. The color is returned as a four-byte integer in the format 0x00RRGGBB.
      Returns:
        an integer indicating the foreground color.

    - #### setMarkerForeground

          public void setMarkerForeground(int iForeground)

      Sets marker foreground color as an RGB value. The color is returned as a four-byte integer in the format 0x00RRGGBB.
      Parameters:
        `iForeground` - an int that describes the border color as a four-byte integer in the format 0x00RRGGBB.

    - #### getMarkerSize

          public int getMarkerSize()

      Returns the marker size in twips.
      Returns:
        an integer indicating the marker size.

    - #### setMarkerSize

          public void setMarkerSize(int iSize)
                             throws java.lang.Exception

      Sets marker size in twips.
      Parameters:
        `iSize` - an integer between 0 and 1440.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getMarkerStyle

          public short getMarkerStyle()

      Returns the marker style.
      Returns:
        a short describing the marker style. Marker Style Constants MarkerCircle MarkerDiamond MarkerDowJonesClose MarkerDowJonesOpen MarkerDownTriangle MarkerPlus MarkerSquare MarkerStar MarkerStdDeviation MarkerTriangle MarkerX

    - #### setMarkerStyle

          public void setMarkerStyle(short sStyle)
                              throws java.lang.Exception

      Sets marker style. Markers may be used in line and XY charts and on line series in combination charts only.
      Parameters:
        `sStyle` - a constant designating the marker style. Marker Style Constants MarkerCircle MarkerDiamond MarkerDowJonesClose MarkerDowJonesOpen MarkerDownTriangle MarkerPlus MarkerSquare MarkerStar MarkerStdDeviation MarkerTriangle MarkerX MarkerNone
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### isFillShadow

          public boolean isFillShadow()

      Returns whether the object has a shadow behind it.
      Returns:
        true or false.

    - #### setFillShadow

          public void setFillShadow(boolean shadow)

      Sets whether an object includes a shadow behind it.
      Parameters:
        `shadow` - true = add a shadow.

    - #### isMarkerAuto

          public boolean isMarkerAuto()

      Returns whether to use automatic formatting for a marker.
      Returns:
        true or false.

    - #### setMarkerAuto

          public void setMarkerAuto(boolean auto)

      Sets the marker type to be assigned automatically.
      Parameters:
        `auto` - true = marker type set automatically.

    - #### isValueFormatLinkedToDataSource

          public boolean isValueFormatLinkedToDataSource()

      Returns whether the object gets the value format from the data source. true = value format from data source.
      Returns:
        true or false.

    - #### setValueFormatLinkedToDataSource

          public void setValueFormatLinkedToDataSource(boolean link)

      Sets whether the object gets the value format from the data source.
      Parameters:
        `link` - true = set value format from data source.

    - #### isFillAuto

          public boolean isFillAuto()

      Returns whether fill is auto.
      Returns:
        whether fill is auto

    - #### setFillAuto

          public void setFillAuto(boolean auto)

      Sets whether fill is auto.
      Parameters:
        `auto` - whether or not to fill auto.

    - #### getBackColor

          public int getBackColor()

      Returns the color used to display the pattern background.
      Returns:
        an integer representing the color. The color is returned as a four-byte integer in the format 0x00RRGGBB.

    - #### setBackColor

          public void setBackColor(int bg)

      Sets the color used to display the pattern background.
      Parameters:
        `bg` - an integer describing the font color as a four-byte integer in the format 0x00RRGGBB.

    - #### getForeColor

          public int getForeColor()

      Returns the color used to display the pattern foreground.
      Returns:
        an integer representing the color. The color is returned as a four-byte integer in the format 0x00RRGGBB.

    - #### setForeColor

          public void setForeColor(int fg)

      Sets the color used to display the pattern foreground.
      Parameters:
        `fg` - an integer describing the font color as a four-byte integer in the format 0x00RRGGBB.

    - #### isFillVisible

          public boolean isFillVisible()

      visibility for the fill property
      Returns:
        true if visible

    - #### setFillVisible

          public void setFillVisible(boolean b)

      set the visibility for this fill property
      Parameters:
        `b` - true if visible

    - #### getFillAlpha

          public double getFillAlpha()

      specifies the input color with the specific opacity.
      Returns:
        The value MUST be from 0.0 through 1.0

    - #### setFillAlpha

          public void setFillAlpha(double alpha)

      specifies the input color with the specific opacity.
      Parameters:
        `alpha` - The value MUST be from 0.0 through 1.0

    - #### setPattern

          public void setPattern(int pattern)
                          throws java.lang.Exception

      Sets the pattern.
      Parameters:
        `pattern` -
      Throws:
        `java.lang.Exception` - exception

    - #### getPatternFG

          public int getPatternFG()

      return the foreground color
      Returns:
        fg

    - #### setPatternFG

          public void setPatternFG(int fg)

      set the fg color in RGB
      Parameters:
        `fg` - fg rgb color

    - #### isSolid

          public boolean isSolid()

      Returns whether fill is solid.
      Returns:
        whether fill is solid

    - #### setSolid

          public void setSolid()

      Sets the fill to solid.

    - #### setGradient

          public void setGradient()

      Sets the fill to Gradient.

    - #### setGradient

          public void setGradient(ExcelGradientStyle style)

    - #### setFillTexture

          public void setFillTexture(ExcelTexture texture)

    - #### setFillPicture

          public void setFillPicture(java.lang.String path)

    - #### getLineColor

          public int getLineColor()

      Gets the color.
      Returns:
        the color

    - #### setLineColor

          public void setLineColor(int color)

      Sets the color.
      Parameters:
        `color` - the color.

    - #### isLineAuto

          public boolean isLineAuto()

      return if the line auto
      Returns:
        true = auto

    - #### setLineAuto

          public void setLineAuto()

      set line auto

    - #### isLineNone

          public boolean isLineNone()

      if line is none
      Returns:
        true or false

    - #### setLineNone

          public void setLineNone()

      set line none

    - #### setLineCustom

          public void setLineCustom()

      set line custom style and weight

    - #### getLineStyle

          public short getLineStyle()

      Gets the style.
      Returns:
        the style style Constants LineSolid LineDash LineDot LineDashDot LineDashDotDot

    - #### setLineStyle

          public void setLineStyle(short estyle)

      Sets the style.
      Parameters:
        `estyle` - the style style Constants LineSolid LineDash LineDot LineDashDot LineDashDotDot

    - #### getLineWeight

          public short getLineWeight()

      Gets the weight.
      Returns:
        the weight weight Constants Hairline Narrow Medium Wide

    - #### setLineWeight

          public void setLineWeight(int eweight)

      Sets the weight.
      Parameters:
        `eweight` - the weight weight Constants Hairline Narrow Medium Wide

    - #### isLineShadow

          public boolean isLineShadow()

      if the line is shadow.
      Returns:
        shadow if true

    - #### setLineShadow

          public void setLineShadow(boolean shadow)

      set the line shadow.
      Parameters:
        `shadow` - true to set line shadow

    - #### getFontName

          public java.lang.String getFontName()

      Returns the name of the font.
      Returns:
        a string designating the font name.

    - #### setFontName

          public void setFontName(java.lang.String name)

      Sets the font name.
      Parameters:
        `name` - a string that designates the font name.

    - #### getFontSize

          public int getFontSize()

      Returns the size of the font in twips.
      Returns:
        an integer describing the font size.

    - #### setFontSize

          public void setFontSize(int size)

      Sets the font size in twips.
      Parameters:
        `size` - an integer indicating the font size.

    - #### getFontItalic

          public boolean getFontItalic()

      Returns whether the font is italic.
      Returns:
        true = font is italic.

    - #### setFontItalic

          public void setFontItalic(boolean italic)

      Sets the italic attribute of the font.
      Parameters:
        `italic` - true = set font to italic.

    - #### getFontUnderline

          public boolean getFontUnderline()

      Returns whether the font is underline.
      Returns:
        true = font is underline.

    - #### setFontUnderline

          public void setFontUnderline(boolean underline)

      Sets the underline attribute of the font.
      Parameters:
        `underline` - true = set font to underline.

    - #### getFontBold

          public boolean getFontBold()

      Returns whether the font is bold.
      Returns:
        true = font is bold.

    - #### setFontBold

          public void setFontBold(boolean bold)

      Sets the bold attribute of the font.
      Parameters:
        `bold` - true = set font to bold.

    - #### getFontColor

          public int getFontColor()

      Returns the color used to display the font.
      Returns:
        an integer representing the color as an RGB value.

    - #### setFontColor

          public void setFontColor(int color)

      Sets the color used to display the font.
      Parameters:
        `color` - integer describing the font color as a four-byte integer in the format 0x00RRGGBB.

    - #### isFontAutoScale

          public boolean isFontAutoScale()

      Returns whether fonts are automatically scaled based on chart size.
      Returns:
        true = auto scale fonts.

    - #### setFontAutoScale

          public void setFontAutoScale(boolean autoscale)

      Sets whether fonts are automatically scaled based on chart size.
      Parameters:
        `autoscale` - true = set auto scale fonts.

    - #### isLinkedToDataSource

          public boolean isLinkedToDataSource()

      Returns whether the object gets the value format from the data source.
      Returns:
        true or false.

    - #### setLinkedToDataSource

          public void setLinkedToDataSource(boolean link)

      Sets whether the object gets the value format from the data source.
      Parameters:
        `link` - true = set value format from data source.

    - #### getCustomFormat

          public java.lang.String getCustomFormat()

      Returns the number format.
      Returns:
        a string designating the format.

    - #### setCustomFormat

          public void setCustomFormat(java.lang.String format)
                               throws java.lang.Exception

      Sets the number format string
      Parameters:
        `format` - the string defining the number format
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setTextRotation

          public void setTextRotation(int rotation)
                               throws java.lang.Exception

      set the text rotation
      Parameters:
        `rotation` - rotation value
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setFontSizeInPoints

          public void setFontSizeInPoints(double point)
                                   throws java.lang.Exception

      set the font size
      Parameters:
        `point` - pt
      Throws:
        `java.lang.Exception` - if parameter is invalid

    - #### getOrientation

          public int getOrientation()

      return the orientation
      Returns:
        orientation

    - #### setOrientation

          public void setOrientation(int orientation)
                              throws java.lang.Exception

      set the orientation
      Parameters:
        `orientation` - orientation
      Throws:
        `java.lang.Exception` - if patameter is invalid